<?php

namespace Drupal\session_inspector_plugins_test\Plugin\BrowserFormat;

use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Plugin\PluginBase;
use Drupal\session_inspector\Plugin\BrowserFormatInterface;

/**
 * Provides a testing formatting for browser details.
 *
 * @BrowserFormat(
 *   id = "testing",
 *   name = @Translation("Testing browser format")
 * )
 */
class TestingBrowserFormat extends PluginBase implements BrowserFormatInterface {

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition
    );
  }

  /**
   * {@inheritdoc}
   */
  public function label() {
    return $this->pluginDefinition['label'];
  }

  /**
   * {@inheritdoc}
   */
  public function formatBrowser(string $browser):string {
    return $browser;
  }

  /**
   * Get status.
   *
   * @return bool
   *   Current status.
   */
  public function getStatus() {
    return TRUE;
  }

}
