<?php

namespace Drupal\session_inspector_plugins_test\Plugin\HostnameFormat;

use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Plugin\PluginBase;
use Drupal\session_inspector\Plugin\HostnameFormatInterface;

/**
 * Provides a testing formatting for hostname.
 *
 * @HostnameFormat(
 *   id = "testing",
 *   name = @Translation("Testing hostname format")
 * )
 */
class TestingHostnameFormat extends PluginBase implements HostnameFormatInterface {

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition
    );
  }

  /**
   * {@inheritdoc}
   */
  public function label() {
    return $this->pluginDefinition['label'];
  }

  /**
   * {@inheritdoc}
   */
  public function formatHostname(string $hostname):string {
    return $hostname;
  }

  /**
   * Get status.
   *
   * @return bool
   *   Current status.
   */
  public function getStatus() {
    return TRUE;
  }

}
